Bug 113362 - GnuCash doesn't support UTF-8
GnuCash doesn't support UTF-8
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnucash (Show other bugs)
1
All Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-13 01:53 EST by Anatoly Kirsanov
Modified: 2014-03-16 22:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-14 01:58:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bad typeface in main window (32.13 KB, image/jpeg)
2004-01-13 01:55 EST, Anatoly Kirsanov
no flags Details
Bad typeface in tips window (39.07 KB, image/jpeg)
2004-01-13 01:55 EST, Anatoly Kirsanov
no flags Details
Good typeface in main window (23.18 KB, image/jpeg)
2004-01-13 01:56 EST, Anatoly Kirsanov
no flags Details
Good typeface in tips window (18.13 KB, image/jpeg)
2004-01-13 01:57 EST, Anatoly Kirsanov
no flags Details

  None (edit)
Description Anatoly Kirsanov 2004-01-13 01:53:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
GnuCash does not allow using ru_RU.UTF-8 locale at all

Version-Release number of selected component (if applicable):
1.8.8

How reproducible:
Always

Steps to Reproduce:
1.Run GnuCash
2.Look at the main window and tips window
3.Change kbd layoyt to ru_RU.UTF-8
4. Try to enter new account name
    

Actual Results:  In all windows you will see boxes istead of normal 
russian typeface of character, in input fields - the same

Expected Results:  Normal typeface of russian chars 

Additional info:
Comment 1 Anatoly Kirsanov 2004-01-13 01:55:05 EST
Created attachment 96926 [details]
Bad typeface in main window
Comment 2 Anatoly Kirsanov 2004-01-13 01:55:49 EST
Created attachment 96927 [details]
Bad typeface in tips window
Comment 3 Anatoly Kirsanov 2004-01-13 01:56:35 EST
Created attachment 96928 [details]
Good typeface in main window
Comment 4 Anatoly Kirsanov 2004-01-13 01:57:28 EST
Created attachment 96929 [details]
Good typeface in tips window
Comment 5 Anatoly Kirsanov 2004-01-13 01:58:57 EST
In UTF-8 environment I can find normal typeface of russian chars only 
in window captions
Comment 6 Bill Nottingham 2004-01-14 01:58:47 EST
gnucash, being a gnome-1 app, does not currently support some UTF-8
locales well at this time. This will have to wait until there is an
upstream GNOME 2 release of gnucash.

Note You need to log in before you can comment on or make changes to this bug.